Page MenuHomePhabricator

Set collation on fa wikis to uca-fa
Closed, ResolvedPublic

Description

+++ This bug was initially created as a clone of Bug #30287 +++

Let's set collation on fa wikis to uca-fa now that bug 30287 is fixed.


Version: wmf-deployment
Severity: enhancement

Details

Reference
bz50311

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:42 AM
bzimport set Reference to bz50311.
bzimport added a subscriber: Unknown Object (MLST).
matmarex created this task.Jun 27 2013, 6:29 PM
Reedy added a comment.Jun 27 2013, 7:06 PM

I guess this is for 1.22wmf10 unless backported to 1.22wmf8 and/or 1.22wmf9?

Change 75248 had a related patch set uploaded by Brian Wolff:
Change fa wikis to use uca-fa sort order

https://gerrit.wikimedia.org/r/75248

(In reply to comment #3)

Change 75248 had a related patch set uploaded by Brian Wolff:
Change fa wikis to use uca-fa sort order
https://gerrit.wikimedia.org/r/75248

In order to try and get the ball rolling. Obviously its not only that to be merged, but also the script needs to be run.

Change 75248 merged by jenkins-bot:
Change fa wikis to use uca-fa sort order

https://gerrit.wikimedia.org/r/75248

Reedy added a comment.Jul 23 2013, 3:17 PM

reedy@tin:/a/common$ mwscript updateCollation.php --wiki=fawikiquote --previous-collation=uppercase
Fixing collation for 4421 rows.
Selecting next 10000 rows... processing...4421 done.
4421 rows processed
reedy@tin:/a/common$ mwscript updateCollation.php --wiki=fawikinews --previous-collation=uppercase
Fixing collation for 20080 rows.
Selecting next 10000 rows... processing...10000 done.
Selecting next 10000 rows... processing...20000 done.
Selecting next 10000 rows... processing...20080 done.
20080 rows processed
reedy@tin:/a/common$ mwscript updateCollation.php --wiki=fawikibooks --previous-collation=uppercase
Fixing collation for 1146 rows.
Selecting next 10000 rows... processing...1146 done.
1146 rows processed

Reedy added a comment.Jul 23 2013, 3:19 PM

reedy@tin:/a/common$ mwscript updateCollation.php --wiki=fawiktionary --previous-collation=uppercase
Fixing collation for 64776 rows.
Selecting next 10000 rows... processing...10000 done.
Selecting next 10000 rows... processing...20000 done.
Selecting next 10000 rows... processing...30000 done.
Selecting next 10000 rows... processing...40000 done.
Selecting next 10000 rows... processing...50000 done.
Selecting next 10000 rows... processing...60000 done.
Selecting next 10000 rows... processing...64776 done.
64776 rows processed

Reedy added a comment.Jul 23 2013, 3:20 PM

reedy@tin:/a/common$ mwscript updateCollation.php --wiki=fawikisource --previous-collation=uppercase
Fixing collation for 49122 rows.
Selecting next 10000 rows... processing...10000 done.
Selecting next 10000 rows... processing...20000 done.
Selecting next 10000 rows... processing...30000 done.
Selecting next 10000 rows... processing...40000 done.
Selecting next 10000 rows... processing...49122 done.
49122 rows processed

Reedy added a comment.Jul 23 2013, 4:13 PM

reedy@tin:/a/common$ mwscript updateCollation.php --wiki=fawiki --previous-collation=uppercase
Fixing collation for 2018271 rows.
Selecting next 10000 rows... processing...10000 done.
Selecting next 10000 rows... processing...20000 done.
Selecting next 10000 rows... processing...30000 done.
Selecting next 10000 rows... processing...40000 done.
Selecting next 10000 rows... processing...50000 done.
Selecting next 10000 rows... processing...60000 done.
Selecting next 10000 rows... processing...70000 done.
Selecting next 10000 rows... processing...80000 done.
Selecting next 10000 rows... processing...90000 done.
Selecting next 10000 rows... processing...100000 done.
Selecting next 10000 rows... processing...110000 done.
Selecting next 10000 rows... processing...120000 done.
Selecting next 10000 rows... processing...130000 done.
Selecting next 10000 rows... processing...140000 done.
Selecting next 10000 rows... processing...150000 done.
Selecting next 10000 rows... processing...160000 done.
Selecting next 10000 rows... processing...170000 done.
Selecting next 10000 rows... processing...180000 done.
Selecting next 10000 rows... processing...190000 done.
Selecting next 10000 rows... processing...200000 done.
Waiting for slaves ... done
Selecting next 10000 rows... processing...210000 done.
Selecting next 10000 rows... processing...220000 done.
Selecting next 10000 rows... processing...230000 done.
Selecting next 10000 rows... processing...240000 done.
Selecting next 10000 rows... processing...250000 done.
Selecting next 10000 rows... processing...260000 done.
Selecting next 10000 rows... processing...270000 done.
Selecting next 10000 rows... processing...280000 done.
Selecting next 10000 rows... processing...290000 done.
Selecting next 10000 rows... processing...300000 done.
Selecting next 10000 rows... processing...310000 done.
Selecting next 10000 rows... processing...320000 done.
Selecting next 10000 rows... processing...330000 done.
Selecting next 10000 rows... processing...340000 done.
Selecting next 10000 rows... processing...350000 done.
Selecting next 10000 rows... processing...360000 done.
Selecting next 10000 rows... processing...370000 done.
Selecting next 10000 rows... processing...380000 done.
Selecting next 10000 rows... processing...390000 done.
Selecting next 10000 rows... processing...400000 done.
Waiting for slaves ... done
Selecting next 10000 rows... processing...410000 done.
Selecting next 10000 rows... processing...420000 done.
Selecting next 10000 rows... processing...430000 done.
Selecting next 10000 rows... processing...440000 done.
Selecting next 10000 rows... processing...450000 done.
Selecting next 10000 rows... processing...460000 done.
Selecting next 10000 rows... processing...470000 done.
Selecting next 10000 rows... processing...480000 done.
Selecting next 10000 rows... processing...490000 done.
Selecting next 10000 rows... processing...500000 done.
Selecting next 10000 rows... processing...510000 done.
Selecting next 10000 rows... processing...520000 done.
Selecting next 10000 rows... processing...530000 done.
Selecting next 10000 rows... processing...540000 done.
Selecting next 10000 rows... processing...550000 done.
Selecting next 10000 rows... processing...560000 done.
Selecting next 10000 rows... processing...570000 done.
Selecting next 10000 rows... processing...580000 done.
Selecting next 10000 rows... processing...590000 done.
Selecting next 10000 rows... processing...600000 done.
Waiting for slaves ... done
Selecting next 10000 rows... processing...610000 done.
Selecting next 10000 rows... processing...620000 done.
Selecting next 10000 rows... processing...630000 done.
Selecting next 10000 rows... processing...640000 done.
Selecting next 10000 rows... processing...650000 done.
Selecting next 10000 rows... processing...660000 done.
Selecting next 10000 rows... processing...670000 done.
Selecting next 10000 rows... processing...680000 done.
Selecting next 10000 rows... processing...690000 done.
Selecting next 10000 rows... processing...700000 done.
Selecting next 10000 rows... processing...710000 done.
Selecting next 10000 rows... processing...720000 done.
Selecting next 10000 rows... processing...730000 done.
Selecting next 10000 rows... processing...740000 done.
Selecting next 10000 rows... processing...750000 done.
Selecting next 10000 rows... processing...760000 done.
Selecting next 10000 rows... processing...770000 done.
Selecting next 10000 rows... processing...780000 done.
Selecting next 10000 rows... processing...790000 done.
Selecting next 10000 rows... processing...800000 done.
Waiting for slaves ... done
Selecting next 10000 rows... processing...810000 done.
Selecting next 10000 rows... processing...820000 done.
Selecting next 10000 rows... processing...830000 done.
Selecting next 10000 rows... processing...840000 done.
Selecting next 10000 rows... processing...850000 done.
Selecting next 10000 rows... processing...860000 done.
Selecting next 10000 rows... processing...870000 done.
Selecting next 10000 rows... processing...880000 done.
Selecting next 10000 rows... processing...890000 done.
Selecting next 10000 rows... processing...900000 done.
Selecting next 10000 rows... processing...910000 done.
Selecting next 10000 rows... processing...920000 done.
Selecting next 10000 rows... processing...930000 done.
Selecting next 10000 rows... processing...940000 done.
Selecting next 10000 rows... processing...950000 done.
Selecting next 10000 rows... processing...960000 done.
Selecting next 10000 rows... processing...970000 done.
Selecting next 10000 rows... processing...980000 done.
Selecting next 10000 rows... processing...990000 done.
Selecting next 10000 rows... processing...1000000 done.
Waiting for slaves ... done
Selecting next 10000 rows... processing...1010000 done.
Selecting next 10000 rows... processing...1020000 done.
Selecting next 10000 rows... processing...1030000 done.
Selecting next 10000 rows... processing...1040000 done.
Selecting next 10000 rows... processing...1050000 done.
Selecting next 10000 rows... processing...1060000 done.
Selecting next 10000 rows... processing...1070000 done.
Selecting next 10000 rows... processing...1080000 done.
Selecting next 10000 rows... processing...1090000 done.
Selecting next 10000 rows... processing...1100000 done.
Selecting next 10000 rows... processing...1110000 done.
Selecting next 10000 rows... processing...1120000 done.
Selecting next 10000 rows... processing...1130000 done.
Selecting next 10000 rows... processing...1140000 done.
Selecting next 10000 rows... processing...1150000 done.
Selecting next 10000 rows... processing...1160000 done.
Selecting next 10000 rows... processing...1170000 done.
Selecting next 10000 rows... processing...1180000 done.
Selecting next 10000 rows... processing...1190000 done.
Selecting next 10000 rows... processing...1200000 done.
Waiting for slaves ... done
Selecting next 10000 rows... processing...1210000 done.
Selecting next 10000 rows... processing...1220000 done.
Selecting next 10000 rows... processing...1230000 done.
Selecting next 10000 rows... processing...1240000 done.
Selecting next 10000 rows... processing...1250000 done.
Selecting next 10000 rows... processing...1260000 done.
Selecting next 10000 rows... processing...1270000 done.
Selecting next 10000 rows... processing...1280000 done.
Selecting next 10000 rows... processing...1290000 done.
Selecting next 10000 rows... processing...1300000 done.
Selecting next 10000 rows... processing...1310000 done.
Selecting next 10000 rows... processing...1320000 done.
Selecting next 10000 rows... processing...1330000 done.
Selecting next 10000 rows... processing...1340000 done.
Selecting next 10000 rows... processing...1350000 done.
Selecting next 10000 rows... processing...1360000 done.
Selecting next 10000 rows... processing...1370000 done.
Selecting next 10000 rows... processing...1380000 done.
Selecting next 10000 rows... processing...1390000 done.
Selecting next 10000 rows... processing...1400000 done.
Waiting for slaves ... done
Selecting next 10000 rows... processing...1410000 done.
Selecting next 10000 rows... processing...1420000 done.
Selecting next 10000 rows... processing...1430000 done.
Selecting next 10000 rows... processing...1440000 done.
Selecting next 10000 rows... processing...1450000 done.
Selecting next 10000 rows... processing...1460000 done.
Selecting next 10000 rows... processing...1470000 done.
Selecting next 10000 rows... processing...1480000 done.
Selecting next 10000 rows... processing...1490000 done.
Selecting next 10000 rows... processing...1500000 done.
Selecting next 10000 rows... processing...1510000 done.
Selecting next 10000 rows... processing...1520000 done.
Selecting next 10000 rows... processing...1530000 done.
Selecting next 10000 rows... processing...1540000 done.
Selecting next 10000 rows... processing...1550000 done.
Selecting next 10000 rows... processing...1560000 done.
Selecting next 10000 rows... processing...1570000 done.
Selecting next 10000 rows... processing...1580000 done.
Selecting next 10000 rows... processing...1590000 done.
Selecting next 10000 rows... processing...1600000 done.
Waiting for slaves ... done
Selecting next 10000 rows... processing...1610000 done.
Selecting next 10000 rows... processing...1620000 done.
Selecting next 10000 rows... processing...1630000 done.
Selecting next 10000 rows... processing...1640000 done.
Selecting next 10000 rows... processing...1650000 done.
Selecting next 10000 rows... processing...1660000 done.
Selecting next 10000 rows... processing...1670000 done.
Selecting next 10000 rows... processing...1680000 done.
Selecting next 10000 rows... processing...1690000 done.
Selecting next 10000 rows... processing...1700000 done.
Selecting next 10000 rows... processing...1710000 done.
Selecting next 10000 rows... processing...1720000 done.
Selecting next 10000 rows... processing...1730000 done.
Selecting next 10000 rows... processing...1740000 done.
Selecting next 10000 rows... processing...1750000 done.
Selecting next 10000 rows... processing...1760000 done.
Selecting next 10000 rows... processing...1770000 done.
Selecting next 10000 rows... processing...1780000 done.
Selecting next 10000 rows... processing...1790000 done.
Selecting next 10000 rows... processing...1800000 done.
Waiting for slaves ... done
Selecting next 10000 rows... processing...1810000 done.
Selecting next 10000 rows... processing...1820000 done.
Selecting next 10000 rows... processing...1830000 done.
Selecting next 10000 rows... processing...1840000 done.
Selecting next 10000 rows... processing...1850000 done.
Selecting next 10000 rows... processing...1860000 done.
Selecting next 10000 rows... processing...1870000 done.
Selecting next 10000 rows... processing...1880000 done.
Selecting next 10000 rows... processing...1890000 done.
Selecting next 10000 rows... processing...1900000 done.
Selecting next 10000 rows... processing...1910000 done.
Selecting next 10000 rows... processing...1920000 done.
Selecting next 10000 rows... processing...1930000 done.
Selecting next 10000 rows... processing...1940000 done.
Selecting next 10000 rows... processing...1950000 done.
Selecting next 10000 rows... processing...1960000 done.
Selecting next 10000 rows... processing...1970000 done.
Selecting next 10000 rows... processing...1980000 done.
Selecting next 10000 rows... processing...1990000 done.
Selecting next 10000 rows... processing...2000000 done.
Waiting for slaves ... done
Selecting next 10000 rows... processing...2010000 done.
Selecting next 10000 rows... processing...2018334 done.
2018334 rows processed